quietly set ACTELLIBNAME smartfusion
quietly set PROJECT_DIR "H:/Projects/Libero_SP2_A2F500/AC347/Hardware/A2F200/VHDL/I2C_OLED"
source "${PROJECT_DIR}/simulation/CompileDssBfm.tcl";

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   vlib presynth
}
vmap presynth presynth
vmap smartfusion "C:/Actel/LIBERO~1.0/Designer/lib/modelsim/precompiled/vhdl/smartfusion"
vmap MSSLIB "C:/Actel/LIBERO~1.0/Designer/lib/modelsim/precompiled/mixed/smartfusion/MSSLIB"
vmap MSS_BFM_LIB "../component/Actel/SmartFusionMSS/MSS/2.2.101/mti/user_verilog/MSS_BFM_LIB"
vcom -work MSS_BFM_LIB -refresh
vlog -work MSS_BFM_LIB -refresh

vcom -93 -explicit -work presynth "${PROJECT_DIR}/component/work/OLED_MSS/MSS_CCC_0/OLED_MSS_tmp_MSS_CCC_0_MSS_CCC.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/component/work/OLED_MSS/OLED_MSS.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/component/work/I2C_OLED/I2C_OLED.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/component/work/I2C_OLED/testbench.vhd"

vsim -L work -L MSSLIB -L smartfusion -L presynth -L MSS_BFM_LIB  -t 1ps presynth.testbench
add wave /testbench/*
run 1000ns
